Domains
billing and domain
Domain availability, orders, zones, and DNS record management.
List domains
GET
Authenticated
Lists domain zones for the authenticated account.
Request URL
https://api.creeper.host/billing/domainlistHeaders
Content-Type: application/json
key: {api-key}
secret: {api-secret}Response 200
{
"status": "success",
"message": "Domain zones listed",
"zones": [
{
"id": 180,
"records": 3,
"name": "domain.tld"
}
],
"endPoint": "aries-production-59c48bc84-hpqw4"
}
List available TLDs
GET
Authenticated
Lists available TLDs and prices.
Request URL
https://api.creeper.host/billing/availabletldHeaders
Content-Type: application/json
key: {api-key}
secret: {api-secret}Response 200
{
"status": "success",
"message": "Available TLD's attached.",
"TLDs": {
"com": {
"year": 9.99
},
"net": {
"year": 9.99
},
"org": {
"year": 9.99
}
},
"currency": {
"exchange_rate": "1.00000",
"prefix": "GBP",
"suffix": null,
"code": "GBP"
},
"endPoint": "aries-production-59c48bc84-hpqw4"
}
Check domain availability
PUT
Authenticated
Checks availability for a domain name.
Request URL
https://api.creeper.host/billing/domainlookupHeaders
Content-Type: application/json
key: {api-key}
secret: {api-secret}Request body
{
"name": "test.com"
}
Response 200
{
"status": "success",
"whois": "WHOIS response text",
"available": false,
"endPoint": "aries-production-59c48bc84-hpqw4"
}
Request domain records
PUT
Authenticated
Returns DNS records for a domain zone.
Request URL
https://api.creeper.host/domain/viewHeaders
Content-Type: application/json
key: {api-key}
secret: {api-secret}Request body
{
"domain": "domain.tld",
"id": "191"
}
Response 200
{
"status": "success",
"message": "Records contained within zone for 'domain.tld'.",
"zone": "domain.tld",
"records": [
{
"id": 1409,
"name": "domain.tld",
"type": "SOA",
"ttl": 86400
}
],
"endPoint": "aries-production-59c48bc84-hpqw4"
}
Add domain record
PUT
Authenticated
Adds a DNS record to a domain zone.
Request URL
https://api.creeper.host/domain/addHeaders
Content-Type: application/json
key: {api-key}
secret: {api-secret}Request body
{
"domain": "NotApplicable",
"id": "191",
"record": {
"name": "test",
"type": "A",
"content": "127.0.0.1",
"ttl": "3600"
}
}
Response 200
{
"status": "success",
"message": "The record 'test' for zone 'domain.tld' has been updated.",
"endPoint": "aries-production-59c48bc84-hpqw4"
}
Edit domain record
PUT
Authenticated
Updates a DNS record in a domain zone.
Request URL
https://api.creeper.host/domain/editHeaders
Content-Type: application/json
key: {api-key}
secret: {api-secret}Request body
{
"domain": "NotApplicable",
"id": "190",
"record": {
"id": "1412",
"name": "www.domain.tld",
"type": "CNAME",
"content": "other.record",
"ttl": "120"
}
}
Response 200
{
"status": "success",
"message": "The record 'www.domain.tld' for zone 'domain.tld' has been updated.",
"endPoint": "aries-production-59c48bc84-hpqw4"
}
Remove domain record
PUT
Authenticated
Removes a DNS record from a domain zone.
Request URL
https://api.creeper.host/domain/deleteHeaders
Content-Type: application/json
key: {api-key}
secret: {api-secret}Request body
{
"domain": "NotApplicable",
"id": "191",
"record": {
"id": "1412"
}
}
Response 200
{
"status": "success",
"message": "Successfully removed this record from the zone.",
"endPoint": "aries-production-59c48bc84-hpqw4"
}
Purchase domain
PUT
Authenticated
Orders a domain through billing.
Request URL
https://api.creeper.host/billing/domainorderHeaders
Content-Type: application/json
key: {api-key}
secret: {api-secret}Request body
{
"name": "domain.tld"
}
Response 200
{
"orderid": 155076,
"productids": "",
"addonids": "",
"domainids": "1005",
"invoiceid": 298762,
"status": "success",
"endPoint": "aries-production-59c48bc84-hpqw4"
}
Create domain zone
PUT
Authenticated
Creates a DNS zone for a domain.
Request URL
https://api.creeper.host/domain/createHeaders
Content-Type: application/json
key: {api-key}
secret: {api-secret}Request body
{
"domain": "domain.tld"
}
Response 200
{
"status": "success",
"message": "Zone created 'domain.tld'.",
"endPoint": "aries-production-59c48bc84-hpqw4"
}